org.eclipse.viatra.query.tooling.ui.queryexplorer

## Class BackendSelectionControl

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.jface.action.ControlContribution
    - - org.eclipse.ui.internal.menus.InternalControlContribution
      - - org.eclipse.ui.menus.WorkbenchWindowControlContribution
        - - org.eclipse.viatra.query.tooling.ui.queryexplorer.AbstractBackendSelectionControl
          - - org.eclipse.viatra.query.tooling.ui.queryexplorer.BackendSelectionControl

- All Implemented Interfaces:
    org.eclipse.jface.action.IContributionItem

      public class BackendSelectionControl
      extends AbstractBackendSelectionControl

  This Control is used on the `QueryExplorer` view's toolbar to enable selection of `IQueryBackend` implementation to be used. This class assumes that a `QueryExplorer` instance is always available on the current `IWorkbenchWindow`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendSelectionControl()`
    `BackendSelectionControl(java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected QueryEvaluationHint` | `getHints()`
    `protected void` | `setHints(QueryEvaluationHint newHint)`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.AbstractBackendSelectionControl

      `createControl`

    - ### Methods inherited from class org.eclipse.ui.menus.WorkbenchWindowControlContribution

      `delegateCreateControl, getCurSide, getOrientation, getWorkbenchWindow`

    - ### Methods inherited from class org.eclipse.ui.internal.menus.InternalControlContribution

      `setCurSide, setWorkbenchWindow`

    - ### Methods inherited from class org.eclipse.jface.action.ControlContribution

      `computeWidth, fill, fill, fill`

    - ### Methods inherited from class org.eclipse.jface.action.ContributionItem

      `dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BackendSelectionControl

          public BackendSelectionControl()

    - #### BackendSelectionControl

          public BackendSelectionControl(java.lang.String id)

  - ### Method Detail

    - #### setHints

          protected void setHints(QueryEvaluationHint newHint)

      Specified by:
        `setHints` in class `AbstractBackendSelectionControl`
      Since:
        1.3

    - #### getHints

          protected QueryEvaluationHint getHints()

      Specified by:
        `getHints` in class `AbstractBackendSelectionControl`
      Since:
        1.3